#!/bin/bash

#
# Scan servers for malware.
#
# /etc/crontab:
# 35 17 * * * root /backup/daily/bin/cron-scan.sh
# 

MYDIR=$( dirname $0 )
REPORTDIR="$MYDIR/../reports"
EMAILTO=root

SCAN_SUBJECT="Scan servers backup report"

# Kill virus scanner if still running
scannerid=$(ps -e | awk '$4 ~ /clamscan/ {print $1}')
if [ "$scannerid" ]
then
	kill $scannerid
	echo "Virus scan ($scannerid) killed before starting a new backup and scan." |\
	mail -s "$SCAN_SUBJECT" $EMAILTO 
fi

"$MYDIR"/scan
mail -s "$SCAN_SUBJECT" $EMAILTO < "$REPORTDIR"/SCAN_REPORT

exit
