#!/bin/bash

#
# Backup servers.
#
# /etc/crontab:
# 05 1 * * * root /backup/daily/bin/cron.sh
# If you want more than one rotation of daily backups:
# 05 1	* * *   root    BACKUP_ROTATIONS=3 /backup/daily/bin/cron.sh
# 

MYDIR=$( dirname $0 )
REPORTDIR="$MYDIR/../reports"
EMAILTO=root
BACKUP_SUBJECT="Backup servers report"
SCAN_SUBJECT="Scan servers backup report"

# Kill virus scanner if still running
scannerid=$(ps -e | awk '$4 ~ /clamscan/ {print $1}')
if [ "$scannerid" ]
then
	kill $scannerid
	echo "Virus scan ($scannerid) killed before starting a new backup and scan." |\
	mail -s "$SCAN_SUBJECT" $EMAILTO 
fi

"$MYDIR/backup"

mail -s "$BACKUP_SUBJECT" $EMAILTO < "$REPORTDIR"/BACKUP_REPORT

# If enough time in the day... before 5pm
if [ $(date +'%H') -lt 17 ]
then 
	"$MYDIR"/scan
	mail -s "$SCAN_SUBJECT" $EMAILTO < "$REPORTDIR"/SCAN_REPORT
else
	echo "Virus scan skipped because there is not enouph time in the rest of the day before backups start again." |\
	mail -s "$SCAN_SUBJECT" $EMAILTO 
fi

exit
